Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.sd.gen.builder
Class GenNotOverrideTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.eclipse.amp.amf.sd.gen.builder.AbstractJavaSDTest
                  org.eclipse.amp.amf.sd.gen.builder.GenNotOverrideTest

All Implemented Interfaces:
  junit.framework.Test

    public class GenNotOverrideTest

extends AbstractJavaSDTest

After code generation, existing Java files and the generated ones should be merged. Not simply overwritten. This test class should make sure this happens.

Usually, you'll need to increase PermGenSpace to run this test! Use `-XX:MaxPermSize=128m` as VM argument.

Author:
  ruj

Constructor Summary
`GenNotOverrideTest()`

Method Summary
`protected void` | `setUp()`
`protected void` | `tearDown()`
`void` | `testCheckNotOverride()` Methods with "generated NOT" annotations must not be overwritten by the code generator.

Methods inherited from class org.eclipse.amp.amf.sd.gen.builder.AbstractJavaSDTest
`checkNoCompilationErrors, countGeneratedTags, doGenerate, emptyProjectDir, getFileText`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GenNotOverrideTest

    public GenNotOverrideTest()
                       throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### setUp

    protected void setUp()
                  throws java.lang.Exception

  Overrides:
    `setUp` in class `junit.framework.TestCase`
  Throws:
    `java.lang.Exception`

### tearDown

    protected void tearDown()
                     throws java.lang.Exception

  Overrides:
    `tearDown` in class `junit.framework.TestCase`
  Throws:
    `java.lang.Exception`

### testCheckNotOverride

    public void testCheckNotOverride()
                              throws java.io.IOException,
                                     org.eclipse.core.runtime.CoreException

  Methods with "generated NOT" annotations must not be overwritten by the code generator.

  Throws:
    `java.io.IOException`
    `CoreExceptionl`
    `org.eclipse.core.runtime.CoreException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD